from dub import Dub
with Dub(
token="DUB_API_KEY",
) as d_client:
res = d_client.partner_applications.reject(request={
"partner_id": "<id>",
})
# Handle response
print(res)declare(strict_types=1);
require 'vendor/autoload.php';
use Dub;
use Dub\Models\Operations;
$sdk = Dub\Dub::builder()
->setSecurity(
'DUB_API_KEY'
)
->build();
$request = new Operations\RejectPartnerApplicationRequestBody(
partnerId: '<id>',
);
$response = $sdk->partnerApplications->reject(
request: $request
);
if ($response->object !== null) {
// handle response
}package main
import(
"context"
dubgo "github.com/dubinc/dub-go"
"github.com/dubinc/dub-go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := dubgo.New(
dubgo.WithSecurity("DUB_API_KEY"),
)
res, err := s.PartnerApplications.Reject(ctx, operations.RejectPartnerApplicationRequestBody{
PartnerID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}require 'dub'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::Dub.new(
security: Models::Shared::Security.new(
token: 'DUB_API_KEY'
)
)
req = Models::Operations::RejectPartnerApplicationRequestBody.new(
partner_id: '<id>'
)
res = s.partner_applications.reject(request: req)
unless res.nil?
# handle response
endimport { Dub } from "dub";
const dub = new Dub({
token: "DUB_API_KEY",
});
async function run() {
const result = await dub.partnerApplications.reject({
partnerId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://api.dub.co/partners/applications/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partnerId": "<string>",
"rejectionNote": "<string>",
"reapplicationTimeframe": "standard",
"flagForFraud": true,
"flagForFraudReason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partnerId: '<string>',
rejectionNote: '<string>',
reapplicationTimeframe: 'standard',
flagForFraud: true,
flagForFraudReason: '<string>'
})
};
fetch('https://api.dub.co/partners/applications/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.dub.co/partners/applications/reject")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"partnerId\": \"<string>\",\n \"rejectionNote\": \"<string>\",\n \"reapplicationTimeframe\": \"standard\",\n \"flagForFraud\": true,\n \"flagForFraudReason\": \"<string>\"\n}")
.asString();{
"partnerId": "<string>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#internal-server_error"
}
}Reject a partner application
Reject a pending partner application to your program. The partner will be notified via email that their application was not approved.
from dub import Dub
with Dub(
token="DUB_API_KEY",
) as d_client:
res = d_client.partner_applications.reject(request={
"partner_id": "<id>",
})
# Handle response
print(res)declare(strict_types=1);
require 'vendor/autoload.php';
use Dub;
use Dub\Models\Operations;
$sdk = Dub\Dub::builder()
->setSecurity(
'DUB_API_KEY'
)
->build();
$request = new Operations\RejectPartnerApplicationRequestBody(
partnerId: '<id>',
);
$response = $sdk->partnerApplications->reject(
request: $request
);
if ($response->object !== null) {
// handle response
}package main
import(
"context"
dubgo "github.com/dubinc/dub-go"
"github.com/dubinc/dub-go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := dubgo.New(
dubgo.WithSecurity("DUB_API_KEY"),
)
res, err := s.PartnerApplications.Reject(ctx, operations.RejectPartnerApplicationRequestBody{
PartnerID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}require 'dub'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::Dub.new(
security: Models::Shared::Security.new(
token: 'DUB_API_KEY'
)
)
req = Models::Operations::RejectPartnerApplicationRequestBody.new(
partner_id: '<id>'
)
res = s.partner_applications.reject(request: req)
unless res.nil?
# handle response
endimport { Dub } from "dub";
const dub = new Dub({
token: "DUB_API_KEY",
});
async function run() {
const result = await dub.partnerApplications.reject({
partnerId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://api.dub.co/partners/applications/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partnerId": "<string>",
"rejectionNote": "<string>",
"reapplicationTimeframe": "standard",
"flagForFraud": true,
"flagForFraudReason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partnerId: '<string>',
rejectionNote: '<string>',
reapplicationTimeframe: 'standard',
flagForFraud: true,
flagForFraudReason: '<string>'
})
};
fetch('https://api.dub.co/partners/applications/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.dub.co/partners/applications/reject")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"partnerId\": \"<string>\",\n \"rejectionNote\": \"<string>\",\n \"reapplicationTimeframe\": \"standard\",\n \"flagForFraud\": true,\n \"flagForFraudReason\": \"<string>\"\n}")
.asString();{
"partnerId": "<string>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#internal-server_error"
}
}Authorizations
Default authentication mechanism
Body
The ID of the partner to reject.
The reason for rejecting the partner application. This will be shared with the partner via email.
needsMoreDetail, doesNotMeetRequirements, notTheRightFit, other Additional details about the rejection. This will be shared with the partner via email.
500The mode for reapplying for the program. instant: The partner can reapply immediately. standard: The partner can reapply after 30 days. never: The partner can never reapply for the program. Defaults to standard if undefined.
instant, standard, never Whether to flag the partner for fraud review by the Dub team. Cannot be combined with reapplicationTimeframe: instant.
The reason for flagging the partner for fraud. Required when flagForFraud is true.
2000Response
The rejected partner
The ID of the rejected partner.
Was this page helpful?